package com.clx.performance.extranal.user;

import com.clx.user.param.feign.BatchUpdateDriverAndTruckParam;
import com.clx.user.vo.feign.DriverInfoFeignVo;
import com.clx.user.vo.feign.DriverTruckInfoFeignVo;
import com.clx.user.vo.feign.FeignDriverTruckModelVo;
import com.msl.common.base.Optional;

import java.util.List;

public interface DriverService {


    Optional<DriverTruckInfoFeignVo> getUserDetailInfo(Long driverUserNo, Integer truckId);

    void updateOrderStatus(Long driverUserNo, Integer driverOrderStatus, Integer truckId, Integer truckOrderStatus);

    Optional<DriverInfoFeignVo> getTruckOwnInfo(String truckNo);

    Optional<DriverInfoFeignVo> getDriverInfo(Long driverUserNo);

    Optional<FeignDriverTruckModelVo> getDumpType(String truckModel);//通过车型获取自卸非自卸

    //批量恢复司机和车辆状态
    void batchUpdateDriverAndTruckStatusCancel(List<BatchUpdateDriverAndTruckParam> list);

}
